Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbTask

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbTask

All Implemented Interfaces:
  Externalizable, Serializable, Task

    public class JaxbTask

extends Object
implements Task

See Also:
  Serialized Form

Constructor Summary
`JaxbTask()`
`JaxbTask(Task task)`

Method Summary
`List<I18NText>` | `getDescriptions()`
`Long` | `getId()`
`List<I18NText>` | `getNames()`
`PeopleAssignments` | `getPeopleAssignments()`
`int` | `getPriority()`
`List<I18NText>` | `getSubjects()`
`Task` | `getTask()`
`TaskData` | `getTaskData()`
`String` | `getTaskType()`
`void` | `initialize(Task task)`
`void` | `readExternal(ObjectInput arg0)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbTask

    public JaxbTask()

### JaxbTask

    public JaxbTask(Task task)

Method Detail

### initialize

    public void initialize(Task task)

### getId

    public Long getId()

  Specified by:
    `getId` in interface `Task`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `Task`

### getNames

    public List<I18NText> getNames()

  Specified by:
    `getNames` in interface `Task`

### getSubjects

    public List<I18NText> getSubjects()

  Specified by:
    `getSubjects` in interface `Task`

### getDescriptions

    public List<I18NText> getDescriptions()

  Specified by:
    `getDescriptions` in interface `Task`

### getPeopleAssignments

    public PeopleAssignments getPeopleAssignments()

  Specified by:
    `getPeopleAssignments` in interface `Task`

### getTaskData

    public TaskData getTaskData()

  Specified by:
    `getTaskData` in interface `Task`

### getTaskType

    public String getTaskType()

  Specified by:
    `getTaskType` in interface `Task`

### getTask

    public Task getTask()

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.